<div style="margin-top: 20px;">
    <div class="container">

        <!-- PENCARIAN -->
        <div style="margin-top: 20px;">
            <h5>
                <span>Approval Leasing</span>
            </h5>      
            <p-accordion class="filter-accordion">
                <p-accordionTab header="Filter" [selected]="false">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.leasing" for="field_dateCreate">Leasing</label>
                                <select class="form-control" [(ngModel)]="selectedLeasing">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="leasingCom.idPartyRole" *ngFor="let leasingCom of leasings; trackBy: trackleasingComById">{{leasingCom.partyName}}</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.korsales" for="field_dateCreate">Korsal</label>
                                <select class="form-control" [(ngModel)]="selectedKorsal" (change)="selectSalesByKorsal()">
                                    <option [value]="null">Select Korsal</option>
                                    <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
                                <select class="form-control" [(ngModel)]="selectedSalesman">
                                    <option [value]="null">Select Salesman</option>
                                    <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
                            </div>
                        </div>
                        <div class="col-md-6">

                            <div class="form-group">
                                <label class="form-control-label" for="field_dateCreate">Tanggal Pengajuan</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="input-group input-calendar">
                                            <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                                                dateFormat="dd-M-yy" 
                                                [showIcon]="true"
                                                [(ngModel)]="tgl1"
                                                ></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="input-group input-calendar">
                                            <p-calendar inputId="field_dateCreate2" name="input_dateCreate2" 
                                                dateFormat="dd-M-yy" 
                                                [showIcon]="true"
                                                [(ngModel)]="tgl2"
                                                ></p-calendar>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="form-control-label" for="field_status_vso">{{'mpmApp.vehicleSalesOrder.statusVSO'|translate}}</label>
                                <select class="form-control" id="field_status_vso" name="statusAL" [(ngModel)]="selectedStatusAL">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="status.value" *ngFor="let status of statusAL">{{status.label}}</option>
                                </select>

                            </div>

                        </div>
                    </div>
                    <div class="btn-filter-wrapper">
                        <button type="button" class="btn btn-primary btn-filter" (click)="filter()">
                            <span>FILTER</span>
                        </button>
                    </div>
                </p-accordionTab>      
            <p-dataTable
                [value]="salesUnitRequirements"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idRequirement"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)"
                class="width-filter">
                <p-header>
                    <jhi-alert></jhi-alert>
                <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearching" id="currentSearching"
                            name="currentSearching" placeholder="Find VSO">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearching)" *ngIf="currentSearching">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearching">
                            <span class="fa fa-trash-o"></span>
                        </button>                        
                    </div>
                </p-header>

                <p-column header="No. VSO" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.requirementNumber}}
                    </ng-template>
                </p-column>

                <p-column header="Tanggal Pengajuan" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateCreate | date:'dd-MMM-yyyy'}}
                    </ng-template>
                </p-column>

                <p-column header="Finance Company" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.leasingName}}
                    </ng-template>
                </p-column>

                <p-column header="Nama Customer" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.customerName}}
                    </ng-template>
                </p-column>

                <p-column header="Tipe Customer" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- {{rowData.customerName}} -->
                    </ng-template>
                </p-column>

                <p-column header="Sales" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.salesmanName}}
                    </ng-template>
                </p-column>

                <p-column header="Korsal" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.korsalName}}
                    </ng-template>
                </p-column>

                <p-column header="Status" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{getStatus(rowData.approvalLeasing)}}
                    </ng-template>
                </p-column>

                <p-column header="PO Finance Company" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.poNumber}}
                    </ng-template>
                </p-column>

                <p-column header="User" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.ipAddress != null">
                            {{rowData.ipAddress}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="Tanggal Update" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.approvalLeasing == 62 || rowData.approvalLeasing == 61">
                            {{rowData.dtApproval | date:'dd-MMM-yyyy'}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="Aksi" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                            [routerLink]="['/approval-leasing-detail/'+ rowData.idRequirement +'/true']"
                            icon="fa-pencil"
                            class="flat-button">
                        </button>
                    </ng-template>
                </p-column>

                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>

            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>
